Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 792579 (CVE-2021-22885)

Summary: <dev-ruby/actionpack-{5.2.6,6.0.3.7,6.1.3.2}: Information disclosure (CVE-2021-22885)
Product: Gentoo Security Reporter: Sam James <sam>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED FIXED    
Severity: minor CC: ruby
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://hackerone.com/reports/1106652
Whiteboard: ~4 [noglsa]
Package list:
Runtime testing required: ---

Description Sam James archtester gentoo-dev Security 2021-05-28 03:13:09 UTC
Description:
"A possible information disclosure / unintended method execution vulnerability in Action Pack >= 2.0.0 when using the `redirect_to` or `polymorphic_url`helper with untrusted user input."
Comment 2 Hans de Graaff gentoo-dev 2021-06-04 09:47:25 UTC
Fixed versions have been in the tree since May 7th.

dev-ruby/rails-5.2.6
dev-ruby/rails-6.0.3.7
dev-ruby/rails-6.1.3.2
Comment 3 John Helmert III gentoo-dev Security 2021-06-04 14:18:13 UTC
(In reply to Hans de Graaff from comment #2)
> Fixed versions have been in the tree since May 7th.
> 
> dev-ruby/rails-5.2.6
> dev-ruby/rails-6.0.3.7
> dev-ruby/rails-6.1.3.2

Thanks! Please cleanup then
Comment 4 Hans de Graaff gentoo-dev 2021-06-06 07:45:21 UTC
Cleanup done.
Comment 5 John Helmert III gentoo-dev Security 2021-06-06 15:36:19 UTC
Thanks! All done.